Subject: Re: bug#35746: Evolution calendar gets the timezone wrong

From: Ludovic Courtès <[email-masked]>
Date: Thu, 16 May 2019 13:13:46 +0200

Hi Ben,

Ben Sturmfels <[email-masked]> skribis:

> In Evolution though, all my calendar events show up in UTC time, so I
> have appointments showing up at eg. 1am.
>
> When I go to Edit, Preferences, Calendar and Task, General, under
> timezone it says:
>
> [x] Use system time (UTC)

Could you figure out how Evolution determines what the current time zone
is?

Guix provides /etc/localtime, which is what libc functions use, but I’m
guessing Evolution uses a custom framework, possibly involving a
hard-to-believe network of D-Bus services.

Thanks,
Ludo’.